> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# チャンク一覧を取得

> ドキュメントの 1 つのリビジョンのチャンクを、位置順ではなくチャンク ID 順に一覧表示します。ドキュメントファイル ID ではなく [ドキュメント一覧を取得](/ja/api-reference/documents-and-chunks/list-documents) で得たドキュメント ID と、リビジョン番号を受け取ります。

ドキュメント内の順序でチャンクを読むには、すべてのページを取得して `ordinal` で並べ替えてください。

元になっているドキュメントファイルのバージョンが残っていれば、置き換えられたリビジョンを含め、どのリビジョンでも一覧表示できます。

ドキュメント ID とドキュメントファイル ID の関係については、[ドキュメントとチャンクの参照](/ja/api-reference/guides/knowledge-base#browse-documents-and-chunks) を参照してください。



## OpenAPI

````yaml /ja/api-reference/openapi_service.json get /knowledge-fs/spaces/{knowledge_base_id}/documents/{document_id}/revisions/{revision}/chunks
openapi: 3.0.1
info:
  description: >-
    Dify アプリケーションとナレッジベースのための REST API です。アプリケーション系エンドポイントはアプリの API
    キーで、ナレッジ系エンドポイントはナレッジベースの API キーで認証します。
  title: Dify サービス API
  version: 1.0.0
servers:
  - description: Dify サービス API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    url: https://{api_base_url}
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - description: チャットメッセージとインタラクションに関連する操作です。
    name: チャットメッセージ
  - description: ファイルのアップロードとプレビューの操作です。
    name: ファイル操作
  - description: エンドユーザー情報に関連する操作です。
    name: エンドユーザー
  - description: ユーザーフィードバックの操作です。
    name: メッセージフィードバック
  - description: 会話管理に関連する操作です。
    name: 会話管理
  - description: テキスト読み上げと音声認識の操作です。
    name: 音声・テキスト変換
  - description: アプリケーション設定と情報を取得する操作です。
    name: アプリケーション設定
  - description: ダイレクト返信用のアノテーション管理に関連する操作です。
    name: アノテーション管理
  - description: 人間の入力を要する一時停止中のワークフローの再開操作です。
    name: 人間の入力
  - description: ワークフローの実行と管理のための操作です。
    name: ワークフロー実行
  - description: テキスト生成に関連する操作です。
    name: 完了メッセージ
  - description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
    name: ナレッジベース
  - description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
    name: ドキュメント
  - description: ドキュメントチャンクと子チャンクの管理のための操作です。
    name: チャンク
  - description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
    name: メタデータ
  - description: ナレッジベースタグとタグバインディングの管理のための操作です。
    name: タグ管理
  - description: 利用可能なモデルを取得するための操作です。
    name: モデル
  - description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
    name: ナレッジパイプライン
  - description: ナレッジベースに質問し、回答をストリーミングで受け取ります。
    name: クエリ
  - description: クエリが何を検索したか、またその理由を確認します。
    name: クエリ記録
  - description: リサーチの質問をバックグラウンドで実行し、その結果を取得します。
    name: リサーチタスク
  - description: ナレッジベースのドキュメントと、そのファイル、リビジョン、チャンクを読み取り、ドキュメントにメタデータのラベルを付けます。
    name: ドキュメントとチャンク
  - description: インデックス処理の追跡、キャンセル、再試行と、ナレッジベースのバックグラウンドタスクの一覧表示を行います。
    name: インデックスタスク
  - description: ドキュメントファイル、ファイルのバッチ、またはソースの削除を、完了するまで追跡します。
    name: 削除ジョブ
  - description: ナレッジベースにデータを供給するソース、その同期スケジュール、接続を管理します。
    name: ソース
  - description: ソースの即時同期、ウェブサイトのページまたはプロバイダーのアイテムのインポート、実行の追跡、キャンセル、再試行を行います。
    name: ソースの同期とインポート
  - description: ナレッジベースのモデルと検索設定の読み取りと変更、および変更によって始まる移行の追跡を行います。
    name: 設定
paths:
  /knowledge-fs/spaces/{knowledge_base_id}/documents/{document_id}/revisions/{revision}/chunks:
    get:
      tags:
        - Documents and Chunks
      summary: チャンク一覧を取得
      description: >-
        ドキュメントの 1 つのリビジョンのチャンクを、位置順ではなくチャンク ID 順に一覧表示します。ドキュメントファイル ID ではなく
        [ドキュメント一覧を取得](/ja/api-reference/documents-and-chunks/list-documents)
        で得たドキュメント ID と、リビジョン番号を受け取ります。


        ドキュメント内の順序でチャンクを読むには、すべてのページを取得して `ordinal` で並べ替えてください。


        元になっているドキュメントファイルのバージョンが残っていれば、置き換えられたリビジョンを含め、どのリビジョンでも一覧表示できます。


        ドキュメント ID とドキュメントファイル ID
        の関係については、[ドキュメントとチャンクの参照](/ja/api-reference/guides/knowledge-base#browse-documents-and-chunks)
        を参照してください。
      operationId: listDocumentChunks
      parameters:
        - description: >-
            ナレッジベース ID です。ナレッジベースの **API アクセス** ダイアログに表示されるサービス API
            エンドポイントの最後のセグメント（`…/knowledge-fs/spaces/<knowledge base
            ID>`）です。アドレスバーでは `/datasets/new/` の後のセグメントです。
          in: path
          name: knowledge_base_id
          required: true
          schema:
            format: uuid
            type: string
        - description: >-
            ドキュメント ID
            です。[ドキュメント一覧を取得](/ja/api-reference/documents-and-chunks/list-documents)
            から取得するか、開いているドキュメントのアドレスバー（`/datasets/new/<knowledge base
            ID>/documents/<document ID>`）から取得します。
          in: path
          name: document_id
          required: true
          schema:
            format: uuid
            type: string
        - description: >-
            リビジョン番号です。[ドキュメントリビジョン一覧を取得](/ja/api-reference/documents-and-chunks/list-document-revisions)
            から取得します。
          in: path
          name: revision
          required: true
          schema:
            minimum: 1
            type: integer
        - description: 前のページの `next_cursor` から取得したカーソルです。
          in: query
          name: cursor
          required: false
          schema:
            maxLength: 1000
            minLength: 1
            type: string
        - description: >-
            `text`
            と照合する部分文字列（大文字と小文字を区別しない）です。セマンティック検索ではありません。省略すると、すべてのチャンクを一覧表示します。
          in: query
          name: query
          required: false
          schema:
            maxLength: 512
            minLength: 1
            type: string
        - description: 1 ページあたりのチャンク数です。
          in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              examples:
                success:
                  summary: レスポンス例
                  value:
                    data:
                      - created_at: '2026-09-03T10:04:30Z'
                        document_id: 3d2f1c0b-9a8e-4d7c-b6a5-4f3e2d1c0b9a
                        document_revision: 2
                        enabled: true
                        end_offset: 5120
                        id: 7a6b5c4d-3e2f-4a1b-9c8d-7e6f5a4b3c2d
                        kind: chunk
                        knowledge_space_id: 9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b
                        ordinal: 14
                        parent_chunk_id: null
                        parse_element_ids:
                          - el-40
                          - el-41
                        section_path:
                          - 3 Employment
                          - 3.4 Termination
                        start_offset: 4600
                        text: >-
                          Either party may terminate this agreement with thirty
                          days' written notice.
                        token_count: 131
                        user_metadata: {}
                    next_cursor: null
              schema:
                properties:
                  data:
                    description: 1 ページ分のチャンクです。チャンク ID 順に並びます。
                    items:
                      $ref: '#/components/schemas/KnowledgeBaseChunk'
                    type: array
                  next_cursor:
                    description: 次のページのカーソルです。最後のページでは `null` です。`cursor` として送り返してください。
                    nullable: true
                    type: string
                type: object
          description: 1 ページ分のチャンクです。
        '400':
          content:
            application/json:
              examples:
                knowledge_fs_invalid_request_local:
                  summary: knowledge_fs_invalid_request (request validation)
                  value:
                    code: knowledge_fs_invalid_request
                    message: Agent Knowledge Base request is invalid.
                    status: 400
                    violations:
                      - field:
                          - query
                        type: string_too_long
                knowledge_fs_invalid_request_path:
                  summary: knowledge_fs_invalid_request (path ID)
                  value:
                    code: knowledge_fs_invalid_request
                    message: Agent Knowledge Base request is invalid.
                    status: 400
                knowledge_fs_invalid_request_upstream:
                  summary: knowledge_fs_invalid_request (rejected)
                  value:
                    code: knowledge_fs_invalid_request
                    failure:
                      category: validation
                      code: KNOWLEDGE_FS_INVALID_REQUEST
                      message: The Agent Knowledge Base request is invalid.
                      retryPolicy: never
                      traceId: 7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83
                    message: The Agent Knowledge Base request is invalid.
                    status: 400
          description: >-
            - `knowledge_fs_invalid_request`：リクエストが検証に失敗しました。`violations`
            には、問題のあるフィールドがそれぞれ示されます。

            - `knowledge_fs_invalid_request`：`revision` が `0` であるか、`document_id`
            が UUID ではありません。

            - `knowledge_fs_invalid_request`：`document_id` の形式が正しくありません。
        '401':
          content:
            application/json:
              examples:
                knowledge_fs_invalid_credential:
                  summary: knowledge_fs_invalid_credential
                  value:
                    code: knowledge_fs_invalid_credential
                    message: Invalid Agent Knowledge Base service credential.
                    status: 401
                unauthorized:
                  summary: unauthorized
                  value:
                    code: unauthorized
                    message: Access token is invalid
                    status: 401
          description: >-
            - `unauthorized`：`Authorization` ヘッダーがないか、キーが不明であるか、ナレッジベースの API
            キーではありません。

            - `knowledge_fs_invalid_credential`：キーは有効ですが、キーのワークスペースにこの ID
            のナレッジベースが存在しないか、キーがワークスペースに紐付いていません。
        '403':
          content:
            application/json:
              examples:
                forbidden:
                  summary: forbidden (rate limit)
                  value:
                    code: forbidden
                    message: >-
                      Sorry, you have reached the knowledge base request rate
                      limit of your subscription.
                    status: 403
                knowledge_fs_access_denied_scope:
                  summary: knowledge_fs_access_denied (key scope)
                  value:
                    code: knowledge_fs_access_denied
                    message: Agent Knowledge Base operation is not allowed.
                    status: 403
          description: >-
            -
            `knowledge_fs_access_denied`：キーのアクセス範囲がほかのナレッジベースに限定されているか、このナレッジベースで
            **API アクセス** がオフになっています。または、ナレッジベースがアクティブではありません。

            - `knowledge_fs_access_denied`：キーには、このナレッジベースのコンテンツへのアクセス権がありません。

            - `forbidden`：Dify Cloud
            で、ワークスペースがサブスクリプションで定められたナレッジベースのリクエストレート制限に達しました。読み取りを含め、すべての呼び出しがカウントされます。
        '404':
          content:
            application/json:
              examples:
                knowledge_fs_resource_not_found:
                  summary: knowledge_fs_resource_not_found
                  value:
                    code: knowledge_fs_resource_not_found
                    failure:
                      category: not_found
                      code: KNOWLEDGE_FS_NOT_FOUND
                      message: >-
                        The requested Agent Knowledge Base resource was not
                        found.
                      retryPolicy: never
                      traceId: 7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83
                    message: The requested Agent Knowledge Base resource was not found.
                    status: 404
                not_found:
                  summary: not_found (feature off)
                  value:
                    code: not_found
                    message: >-
                      The requested URL was not found on the server. If you
                      entered the URL manually please check your spelling and
                      try again.
                    status: 404
          description: >-
            - `knowledge_fs_resource_not_found`：この ID
            のドキュメントが存在しないか、そのリビジョンが存在しないか、元のドキュメントファイルが削除されています。または、API
            キーにこのナレッジベースの読み取りが許可されていません。いずれの場合も「見つからない」として返されます。

            - `not_found`：このデプロイ環境では Agent ナレッジベース機能が無効になっています。
        '502':
          content:
            application/json:
              examples:
                knowledge_fs_upstream_unavailable:
                  summary: knowledge_fs_upstream_unavailable (service error)
                  value:
                    code: knowledge_fs_upstream_unavailable
                    failure:
                      action: contact_admin
                      category: internal
                      code: KNOWLEDGE_FS_INTERNAL_ERROR
                      message: >-
                        Agent Knowledge Base could not complete the operation.
                        Try again, or contact an administrator with the error
                        reference.
                      retryPolicy: manual
                      traceId: 5e2a9c17-3b4d-4f60-8a1b-2c3d4e5f6a7b
                    message: >-
                      Agent Knowledge Base could not complete the operation. Try
                      again, or contact an administrator with the error
                      reference.
                    status: 502
                knowledge_fs_upstream_unavailable_transport:
                  summary: knowledge_fs_upstream_unavailable (no response)
                  value:
                    code: knowledge_fs_upstream_unavailable
                    message: Agent Knowledge Base is unavailable.
                    status: 502
          description: >-
            -
            `knowledge_fs_upstream_unavailable`：時間内に応答が返らなかったか、応答を読み取れませんでした。しばらく待ってから再試行してください。
        '503':
          content:
            application/json:
              examples:
                knowledge_fs_operation_unavailable:
                  summary: knowledge_fs_operation_unavailable
                  value:
                    code: knowledge_fs_operation_unavailable
                    message: Agent Knowledge Base operation is not available.
                    status: 503
                knowledge_fs_operation_unavailable_upstream:
                  summary: knowledge_fs_operation_unavailable (temporary)
                  value:
                    code: knowledge_fs_operation_unavailable
                    failure:
                      action: retry
                      category: dependency
                      code: KNOWLEDGE_FS_UNAVAILABLE
                      message: >-
                        A service required by Agent Knowledge Base is
                        temporarily unavailable.
                      retryPolicy: manual
                      traceId: 5e2a9c17-3b4d-4f60-8a1b-2c3d4e5f6a7b
                    message: >-
                      A service required by Agent Knowledge Base is temporarily
                      unavailable.
                    status: 503
          description: >-
            - `knowledge_fs_operation_unavailable`：このワークスペースで Agent
            ナレッジベース機能が設定されていないか、このデプロイ環境ではこの操作を利用できません。または、リクエストの認可中に、このナレッジベースに対するキーのアクセス権が変更されました。

            -
            `knowledge_fs_operation_unavailable`：現在このリクエストを処理できません。`failure.retryPolicy`
            に従ってください。
components:
  schemas:
    KnowledgeBaseChunk:
      description: オフセットは、解析済みのドキュメントテキスト内の位置を指します。元のファイル内の位置ではありません。
      properties:
        created_at:
          description: チャンクの作成日時（ISO 8601）です。
          type: string
        document_id:
          description: >-
            ドキュメント ID
            です。[ドキュメントを取得](/ja/api-reference/documents-and-chunks/get-document)
            の `id` にあたります。
          type: string
        document_revision:
          description: >-
            チャンクが属するリビジョンです。チャンクはリビジョンごとに別々に存在します。チャンク ID
            は、そのチャンクが属するリビジョンを通してのみ参照できます。
          type: integer
        enabled:
          description: チャンクが検索の対象になるかどうかです。この API には、この値を変更する操作はありません。
          type: boolean
        end_offset:
          description: >-
            解析済みドキュメントテキスト内の 0 始まりの UTF-8
            バイトオフセットです。終了位置を表し、この位置自体は範囲に含みません。不明な場合は `null` です。
          nullable: true
          type: integer
        id:
          description: >-
            チャンク ID
            です。[チャンクを取得](/ja/api-reference/documents-and-chunks/get-chunk)
            のパスパラメータ `chunk_id` に指定する値です。
          type: string
        kind:
          description: >-
            チャンクの生成元です。本文の連続したテキストは `chunk`（デフォルト）、見出しのセクションは `section`、表は
            `table`、画像は `image`、生成された要約は `summary` です。
          type: string
        knowledge_space_id:
          description: ナレッジベースの内部 ID です。パスのナレッジベース ID とは異なります。
          type: string
        ordinal:
          description: リビジョン内でのチャンクの位置で、`0` から始まります。この値で並べ替えると、ドキュメント内の順序でチャンクを読めます。
          type: integer
        parent_chunk_id:
          description: 親子チャンキングにおける親チャンクの ID です。最上位のチャンクでは `null` です。
          nullable: true
          type: string
        parse_element_ids:
          description: チャンクの生成元となった解析済み要素の ID です。
          items:
            type: string
          type: array
        section_path:
          description: ドキュメントのルートから、チャンクが属するセクションまでの見出しです。
          items:
            type: string
          type: array
        start_offset:
          description: >-
            解析済みドキュメントテキスト内の 0 始まりの UTF-8
            バイトオフセットです。開始位置を表し、この位置自体を範囲に含みます。不明な場合は `null` です。
          nullable: true
          type: integer
        text:
          description: チャンクの内容です。
          type: string
        token_count:
          description: '`text` のトークン数です。'
          type: integer
        user_metadata:
          additionalProperties: true
          description: チャンクに付与されたメタデータです。自由形式のオブジェクトです。
          type: object
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: API_KEY
      description: >-
        すべてのリクエストは API キーで認証します：`Authorization: Bearer
        {API_KEY}`。アプリのエンドポイントにはアプリの API キーを、ナレッジのエンドポイントにはナレッジベースの API
        キーを使用します（[Dify API クイックスタート](/ja/api-reference/guides/get-started)）。


        キーはサーバーサイドで保管し、クライアントコードには決して埋め込まないでください。キーが欠落または無効なリクエストは HTTP
        `401`（`unauthorized`）で失敗します。
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.